import service from '@/utils/request'

export const getTab = (data) => {
  return service({
    url: '/mes_server/packaging_process_output/getTab',
    method: 'get',
    data
  })
}

export const getList = (params) => {
  return service({
    url: '/mes_server/packaging_process_output/getList',
    method: 'get',
    params
  })
}

export const getInspectCount = (data) => {
  return service({
    url: '/mes_server/inspect/getInspectCount',
    method: 'get',
    data
  })
}

export const getDateList = (params) => {
  return service({
    url: '/mes_server/inspect/getDateList',
    method: 'get',
    params
  })
}


export const getMachineCount = (data) => {
  return service({
    url:'/mes_server/inspect/getMachineCount',
    method: 'get',
    data
  })
}
export const getDateMachine = (params) => {
  return service({
    url:'/mes_server/inspect/getDateMachine',
    method: 'get',
    params
  })
}



export const getproductionCount = (data) => {
  return service({
    url:'/mes_server/machine_production_report/getTab',
    method: 'get',
    data
  })
}

export const getproductionList = (params) => {
  return service({
    url:'/mes_server/machine_production_report/getList',
    method: 'get',
    params
  })
}


export const getproductionaddCount = (data) => {
  return service({
    url:'/mes_server/machine_production_report_add/getTab',
    method: 'get',
    data
  })
}

export const getproductionaddList = (params) => {
  return service({
    url:'/mes_server/machine_production_report_add/getList',
    method: 'get',
    params
  })
}

export const locate = (params) => {
  return service({
    url:'/mes_server/packaging_process_output/locate',
    method: 'get',
    params
  })
}

export const getInfo = (params) => {
  return service({
    url:'/mes_server/packaging_process_output/getInfo',
    method: 'get',
    params
  })
}

export const getGxMc = (params) => {
  return service({
    url:'/mes_server/packaging_process_output/getGxMc',
    method: 'get',
    params
  })
}


export const edit = (params) => {
  return service({
    url:'/mes_server/packaging_process_output/edit',
    method: 'post',
    params
  })
}


export const del = (params) => {
  return service({
    url:'/mes_server/packaging_process_output/del',
    method: 'post',
    params
  })
}


export const machineLocate = (params) => {
  return service({
    url:'/mes_server/inspect/machineLocate',
    method: 'get',
    params
  })
}

export const MachineInfo = (params) => {
  return service({
    url:'/mes_server/inspect/getMachineInfo',
    method: 'get',
    params
  })
}


export const getYg = (params) => {
  return service({
    url:'/mes_server/packaging_count_document/getYg',
    method: 'get',
    params
  })
}


export const getMachineGxMc = (params) => {
  return service({
    url:'/mes_server/inspect/getMachineGxMc',
    method: 'get',
    params
  })
}


export const getMachineDedh = (params) => {
  return service({
    url:'/mes_server/inspect/getMachineDedh',
    method: 'get',
    params
  })
}

export const getMachineScrapFactor = (params) => {
  return service({
    url:'/mes_server/inspect/getMachineScrapFactor',
    method: 'get',
    params
  })
}

export const getJtbh = (params) => {
  return service({
    url:'/mes_server/inspect/getJtbh',
    method: 'get',
    params
  })
}

export const machineEdit = (params) => {
  return service({
    url:'/mes_server/inspect/machineEdit',
    method: 'post',
    params
  })
}


export const machineDel = (params) => {
  return service({
    url:'/mes_server/inspect/machineDel',
    method: 'post',
    params
  })
}
//手工检验
//定位
export const  shougonglocate= (params) => {
  return service({
    url:'/mes_server/inspect/locate',
    method: 'get',
    params
  })
}
//获取详细信息
export const  shougonggetInfo= (params) => {
  return service({
    url:'/mes_server/inspect/getInfo',
    method: 'get',
    params
  })
}
//查询印件工序及产品名称
export const  shougonggetGxMc= (params) => {
  return service({
    url:'/mes_server/inspect/getGxMc',
    method: 'get',
    params
  })
}
//获取定额代号
export const  shougonggetDedh= (params) => {
  return service({
    url:'/mes_server/inspect/getDedh',
    method: 'get',
    params
  })
}
//查询废品系数
export const  shougonggetScrapFactor= (params) => {
  return service({
    url:'/mes_server/inspect/getScrapFactor',
    method: 'get',
    params
  })
}
//修改
export const  shougongedit= (params) => {
  return service({
    url:'/mes_server/inspect/edit',
    method: 'post',
    params
  })
}
//删除
export const  shougongdel= (params) => {
  return service({
    url:'/mes_server/inspect/del',
    method: 'post',
    params
  })
}
//按工单显示
export const  getInspectCountByGdbh= (params) => {
  return service({
    url:'/mes_server/inspect/getInspectCountByGdbh',
    method: 'get',
    params
  })
}
//机台生产日报表维护附加
//获取详细信息
export const  addgetInfo= (params) => {
  return service({
    url:'/mes_server/machine_production_report_add/getInfo',
    method: 'get',
    params
  })
}
//获取机台
export const  addgetJtbh= (params) => {
  return service({
    url:'/mes_server/machine_production_report_add/getJtbh',
    method: 'get',
    params
  })
}
//修改
export const  addedit= (params) => {
  return service({
    url:'/mes_server/machine_production_report_add/edit',
    method: 'post',
    params
  })
}
//删除
export const  adddel= (params) => {
  return service({
    url:'/mes_server/machine_production_report_add/del',
    method: 'post',
    params
  })
}
//按工单显示
export const  getMachineCountByGdbh= (params) => {
  return service({
    url:'/mes_server/inspect/getMachineCountByGdbh',
    method: 'get',
    params
  })
}
//机台日报表维护
//定位
export const  productionlocate= (params) => {
  return service({
    url:'/mes_server/machine_production_report/locate',
    method: 'get',
    params
  })
}
//按工单显示
export const  productionByGdbh= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getTabByGdbh',
    method: 'get',
    params
  })
}
//获取详细信息
export const  productionInfo= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getInfo',
    method: 'get',
    params
  })
}
//获取工单名称
export const  productionGdmc= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getGdmc',
    method: 'get',
    params
  })
}
//获取印件名称
export const  productionYjmc= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getYjmc',
    method: 'get',
    params
  })
}
//获取工序信息
export const  productionGx= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getGx',
    method: 'get',
    params
  })
}
//获取定额代号
export const  productionDedh= (params) => {
  return service({
    url:'/mes_server/machine_production_report/getDedh',
    method: 'get',
    params
  })
}
//修改
export const  productionedit= (params) => {
  return service({
    url:'/mes_server/machine_production_report/edit',
    method: 'post',
    params
  })
}
//删除
export const  productiondel= (params) => {
  return service({
    url:'/mes_server/machine_production_report/del',
    method: 'post',
    params
  })
}
//员工日工资
//员工日工资查询侧边栏
export const  dailygetTab= () => {
  return service({
    url:'/mes_server/employee_daily_salary/getTab',
    method: 'get',
  })
}
//员工日工资查询上侧列表
export const  dailygetList= (params) => {
  return service({
    url:'/mes_server/employee_daily_salary/getList',
    method: 'get',
	params
  })
}
//员工日工资查询下侧列表
export const  dailygetAllList= (params) => {
  return service({
    url:'/mes_server/employee_daily_salary/getAllList',
    method: 'get',
	params
  })
}
//员工日工资查询详情
export const  dailygetDetail= (params) => {
  return service({
    url:'/mes_server/employee_daily_salary/getDetail',
    method: 'get',
	params
  })
}
//员工定位
export const  dailysearch= (params) => {
  return service({
    url:'/mes_server/employee_daily_salary/search',
    method: 'get',
	params
  })
}